esound: Sound is awful since last upgrade

Bug #7389 reported by Debian Bug Importer on 2004-08-11
6
Affects Status Importance Assigned to Milestone
esound (Debian)
Fix Released
Unknown
esound (Ubuntu)
High
LaMont Jones

Bug Description

Automatically imported from Debian bug report #264981 http://bugs.debian.org/264981

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #264981 http://bugs.debian.org/264981

Debian Bug Importer (debzilla) wrote :

Message-Id: <E1Buotj-0000OK-00@Ataraxia>
Date: Wed, 11 Aug 2004 10:55:51 +0200
From: benjamin deveze <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: esound: Sound is awful since last upgrade

Package: esound
Version: 0.2.29-2
Severity: grave
Justification: renders package unusable

Since the latest package upgrade of yesterday,
the sound using esd is awful, everything is accelerated
when playing a sound, 1 second of music now last maybe 0.5 second
of realtime so the sound is completely corrupted.
Everything works fine with alsa alone.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.3
Locale: LANG=C, LC_CTYPE=C

Versions of packages esound depends on:
ii esound-common 0.2.29-2 Enlightened Sound Daemon - Common
ii libaudiofile0 0.2.6-4 Open-source version of SGI's audio
ii libc6 2.3.2.ds1-15 GNU C Library: Shared libraries an
ii libesd0 0.2.29-2 Enlightened Sound Daemon - Shared
ii libwrap0 7.6.dbs-5 Wietse Venema's TCP wrappers libra

-- no debconf information

reassign 264965 libesd-alsa0
reassign 264981 libesd0
merge 265018 264981
merge 265047 264965

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 11 Aug 2004 10:15:30 -0700
From: Ryan Murray <email address hidden>
To: <email address hidden>
Subject: reassign 264965 to libesd-alsa0, reassign 264981 to libesd0, merging 265018 264981 ...

reassign 264965 libesd-alsa0
reassign 264981 libesd0
merge 265018 264981
merge 265047 264965

Download full text (3.4 KiB)

Source: esound
Source-Version: 0.2.34-1

We believe that the bug you reported is fixed in the latest version of
esound, which is due to be installed in the Debian FTP archive:

esound-clients_0.2.34-1_i386.deb
  to pool/main/e/esound/esound-clients_0.2.34-1_i386.deb
esound-common_0.2.34-1_all.deb
  to pool/main/e/esound/esound-common_0.2.34-1_all.deb
esound_0.2.34-1.diff.gz
  to pool/main/e/esound/esound_0.2.34-1.diff.gz
esound_0.2.34-1.dsc
  to pool/main/e/esound/esound_0.2.34-1.dsc
esound_0.2.34-1_i386.deb
  to pool/main/e/esound/esound_0.2.34-1_i386.deb
esound_0.2.34.orig.tar.gz
  to pool/main/e/esound/esound_0.2.34.orig.tar.gz
libesd-alsa0_0.2.34-1_i386.deb
  to pool/main/e/esound/libesd-alsa0_0.2.34-1_i386.deb
libesd0-dev_0.2.34-1_i386.deb
  to pool/main/e/esound/libesd0-dev_0.2.34-1_i386.deb
libesd0_0.2.34-1_i386.deb
  to pool/main/e/esound/libesd0_0.2.34-1_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <email address hidden> (supplier of updated esound package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 12 Aug 2004 17:59:29 -0700
Source: esound
Binary: libesd0 libesd-alsa0 libesd0-dev esound-clients esound esound-common
Architecture: source i386 all
Version: 0.2.34-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <email address hidden>
Changed-By: Ryan Murray <email address hidden>
Description:
 esound - Enlightened Sound Daemon - Support binaries
 esound-clients - Enlightened Sound Daemon - clients
 esound-common - Enlightened Sound Daemon - Common files
 libesd-alsa0 - Enlightened Sound Daemon (ALSA) - Shared libraries
 libesd0 - Enlightened Sound Daemon - Shared libraries
 libesd0-dev - Enlightened Sound Daemon - Development files
Closes: 125803 203913 214939 244840 254130 262376 264981
Changes:
 esound (0.2.34-1) unstable; urgency=low
 .
   * New upstream release (closes: #125803, #203913, #244840, #262376, #254130)
   * Revert custom esd_audio_write from -2 (closes: #264981)
   * Use --release sarge (closes: #214939)
Files:
 f600f89ef2a47f0ccb45b6588a18f86b 735 sound optional esound_0.2.34-1.dsc
 9526d4ffbbbd9462768b38c082c726c7 392336 sound optional esound_0.2.34.orig.tar.gz
 461afcf7d7888cb120da4b81090e47eb 392689 sound optional esound_0.2.34-1.diff.gz
 16ba77d971f3ff013d1b6737a77f2826 53662 sound optional esound-common_0.2.34-1_all.deb
 cafe1559f7905405a1691229db46a041 21732 sound optional esound_0.2.34-1_i386.deb
 f3eab4e4d5653b625df28d4adb332105 34016 sound optional esound-clients_0.2.34-1_i386.deb
 f6fb72db2ff0790a76507cfe0eb15c3d 17320 libs optional libesd0_0.2.34-1_i386.deb
 ca8222fb9836a01531eb98799f24f3e6 25578 libdevel optional libesd0-dev_0.2.34-1_i386.deb
 118a6da14166420a40dffa9574560ae1 20180 li...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (3.6 KiB)

Message-Id: <email address hidden>
Date: Thu, 12 Aug 2004 21:17:05 -0400
From: Ryan Murray <email address hidden>
To: <email address hidden>
Subject: Bug#264981: fixed in esound 0.2.34-1

Source: esound
Source-Version: 0.2.34-1

We believe that the bug you reported is fixed in the latest version of
esound, which is due to be installed in the Debian FTP archive:

esound-clients_0.2.34-1_i386.deb
  to pool/main/e/esound/esound-clients_0.2.34-1_i386.deb
esound-common_0.2.34-1_all.deb
  to pool/main/e/esound/esound-common_0.2.34-1_all.deb
esound_0.2.34-1.diff.gz
  to pool/main/e/esound/esound_0.2.34-1.diff.gz
esound_0.2.34-1.dsc
  to pool/main/e/esound/esound_0.2.34-1.dsc
esound_0.2.34-1_i386.deb
  to pool/main/e/esound/esound_0.2.34-1_i386.deb
esound_0.2.34.orig.tar.gz
  to pool/main/e/esound/esound_0.2.34.orig.tar.gz
libesd-alsa0_0.2.34-1_i386.deb
  to pool/main/e/esound/libesd-alsa0_0.2.34-1_i386.deb
libesd0-dev_0.2.34-1_i386.deb
  to pool/main/e/esound/libesd0-dev_0.2.34-1_i386.deb
libesd0_0.2.34-1_i386.deb
  to pool/main/e/esound/libesd0_0.2.34-1_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <email address hidden> (supplier of updated esound package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 12 Aug 2004 17:59:29 -0700
Source: esound
Binary: libesd0 libesd-alsa0 libesd0-dev esound-clients esound esound-common
Architecture: source i386 all
Version: 0.2.34-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <email address hidden>
Changed-By: Ryan Murray <email address hidden>
Description:
 esound - Enlightened Sound Daemon - Support binaries
 esound-clients - Enlightened Sound Daemon - clients
 esound-common - Enlightened Sound Daemon - Common files
 libesd-alsa0 - Enlightened Sound Daemon (ALSA) - Shared libraries
 libesd0 - Enlightened Sound Daemon - Shared libraries
 libesd0-dev - Enlightened Sound Daemon - Development files
Closes: 125803 203913 214939 244840 254130 262376 264981
Changes:
 esound (0.2.34-1) unstable; urgency=low
 .
   * New upstream release (closes: #125803, #203913, #244840, #262376, #254130)
   * Revert custom esd_audio_write from -2 (closes: #264981)
   * Use --release sarge (closes: #214939)
Files:
 f600f89ef2a47f0ccb45b6588a18f86b 735 sound optional esound_0.2.34-1.dsc
 9526d4ffbbbd9462768b38c082c726c7 392336 sound optional esound_0.2.34.orig.tar.gz
 461afcf7d7888cb120da4b81090e47eb 392689 sound optional esound_0.2.34-1.diff.gz
 16ba77d971f3ff013d1b6737a77f2826 53662 sound optional esound-common_0.2.34-1_all.deb
 cafe1559f7905405a1691229db46a041 21732 sound optional esound_0.2.34-1_i386.deb
 f3eab4e4d5653b625df28d4adb332105 34016 sound optional esound-clients_0.2.34-1_i386.deb
 f...

Read more...

Package: libesd0
Version: 0.2.34-1
Followup-For: Bug #264981

0.2.34 is even more broken than 0.2.29. One example with Rhythmbox:

1) 0.2.29 gives accelerated sound; unusable, but we hear something.

2) 0.2.34 gives no sound at all, while Rhythmbox gives the following error:
Got error opening "file:///home/q-funk/Music/dyma_fi.mp3": Could not pause playback

In the above test cases, the only difference is the Esound packages. Rhythmbox and Gstreamer versions are the same.

I'm affraid we have to reopen this bug and mark it as RC again...

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (101, 'testing'), (99, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.8.1-imac
Locale: LANG=fi_FI@euro, LC_CTYPE=fi_FI@euro

Versions of packages libesd0 depends on:
ii esound-common 0.2.34-1 Enlightened Sound Daemon - Common
ii libaudiofile0 0.2.6-4 Open-source version of SGI's audio
ii libc6 2.3.2.ds1-15 GNU C Library: Shared libraries an

-- no debconf information

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 18 Aug 2004 19:16:46 +0300
From: "Martin-�ic Racine" <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: libesd0: 0.2.34 is even more broken: no sound at all!

Package: libesd0
Version: 0.2.34-1
Followup-For: Bug #264981

0.2.34 is even more broken than 0.2.29. One example with Rhythmbox:

1) 0.2.29 gives accelerated sound; unusable, but we hear something.

2) 0.2.34 gives no sound at all, while Rhythmbox gives the following error:
Got error opening "file:///home/q-funk/Music/dyma_fi.mp3": Could not pause playback

In the above test cases, the only difference is the Esound packages. Rhythmbox and Gstreamer versions are the same.

I'm affraid we have to reopen this bug and mark it as RC again...

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (101, 'testing'), (99, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.8.1-imac
Locale: LANG=fi_FI@euro, LC_CTYPE=fi_FI@euro

Versions of packages libesd0 depends on:
ii esound-common 0.2.34-1 Enlightened Sound Daemon - Common
ii libaudiofile0 0.2.6-4 Open-source version of SGI's audio
ii libc6 2.3.2.ds1-15 GNU C Library: Shared libraries an

-- no debconf information

severity 264981 grave
thanks

The 0.2.29-1 package currently in testing is the last working version.
Meanwhile, 0.2.29-2 and 0.2.34-1 are both severely broken.

--
Martin-Éric Racine, ICT Consultant
http://www.iki.fi/q-funk/

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 18 Aug 2004 21:52:22 +0300 (EEST)
From: =?iso-8859-1?Q?Martin-=C9ric_Racine?= <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: reopening

severity 264981 grave
thanks

The 0.2.29-1 package currently in testing is the last working version.
Meanwhile, 0.2.29-2 and 0.2.34-1 are both severely broken.

--=20
Martin-=C9ric Racine, ICT Consultant
http://www.iki.fi/q-funk/

LaMont Jones (lamont) wrote :

post-warty version

Changed in esound:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.